Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018227
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajoralways2011-08-08 16:122016-06-15 09:32
ReporteriperdomoView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionout of dateFixed in Version
StatusclosedFix in branchFixed in SCM revisiond46a820cf3cc
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_24
OS Version2.6.36-gentoo-r5Database version8.4.5Ant version1.8.1
Product VersionSCM revision 
Review Assigned To
Web browserApple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018227: Closing a tab doesn't release all objects

DescriptionIf you work with the application for several hours, every time you open/close a window, new JavaScript objects are created and not all of them are released when closing (destroying) the tab in the main view.
Steps To Reproduce* With Chrome Dev Tools - Enable the timeline, check the Memory [1]
* Open several tabs - Memory consumption should increase
* Close tabs - the memory consumption should decrease

You could also create a snapshot [2] of the JavaScript heap memory, and compare it after closing the tabs.

[1] https://code.google.com/chrome/devtools/docs/timeline.html [^]
[2] https://code.google.com/chrome/devtools/docs/profiles.html [^]
Proposed Solution* Destroy the associated objects like the DataSource associated to a grid when closing a Window.
TagsOB3-Reviewed
Attached Filespng file icon Screenshot-23.png [^] (22,238 bytes) 2011-09-28 07:32

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0018421 closediperdomo Memory usage increases when opening and closing sales or purchase order/invoice windows 
related to defect 00183193.0MP3 closedmtaal The Workspace loading bar doesn't get removed 
related to defect 00184563.0MP3 closediperdomo Using the Selector in a manual window fails 
related to defect 0023761 closedinigosanchez Memory leaks on the browser 

-  Notes
(0040170)
hgbot (developer)
2011-08-12 18:52

Repository: erp/devel/pi
Changeset: c094ddabc843f804c0d8e043c33a9c56915bcf10
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Aug 12 18:51:54 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c094ddabc843f804c0d8e043c33a9c56915bcf10 [^]

Issue 18227: Release objects related to linked items and loading bar
- The linked items field uses 2 datasources that needs to be released manually
- The loading bar when opening a new tab was not destroyed after showing a
  window
- Cache the value of OB.MainView.TabSet in a local variable to avoid useless
  property lookups

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-linked-items.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
---
(0040173)
hgbot (developer)
2011-08-16 11:58

Repository: erp/devel/pi
Changeset: fe669fa7121d87da91e1eb0b3738098e253baf03
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Aug 16 11:55:38 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fe669fa7121d87da91e1eb0b3738098e253baf03 [^]

Issue 18227: Destroy the selectorWindow and Grid when destroying item
- The SelectorItem extends a ComboBoxItem but also has a selectorWindow and
  this one, a OBGrid. This objects Needs to be destroyed explicitly.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0040227)
hudsonbot (developer)
2011-08-16 13:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c1dc221b8cb3 [^]

Maturity status: Test
(0040241)
hgbot (developer)
2011-08-17 08:41

Repository: erp/devel/pi
Changeset: dadb9a39f432a2570cd869ca9bf0b0e052d33a06
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Aug 17 08:41:04 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/dadb9a39f432a2570cd869ca9bf0b0e052d33a06 [^]

Issue 18227: Add scopleaks utility

---
A modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/scopeleaks.js
---
(0040271)
hgbot (developer)
2011-08-17 16:17

Repository: erp/devel/pi
Changeset: 0722842665d9d7cd7150368d5a19247b8310675e
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Aug 17 16:10:48 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0722842665d9d7cd7150368d5a19247b8310675e [^]

Issue 18227: Added a flag to know when to destroy associated objects
When seting the DataSource at form level, the fields are recreated. The
destroy method of an item needs to clean all associated objects just if flag
destroyItemObjects is true

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0040272)
hgbot (developer)
2011-08-17 16:17

Repository: erp/devel/pi
Changeset: 0c139e47fb2149f2f614c93a5304cf04e21d7a1b
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Aug 17 16:16:06 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0c139e47fb2149f2f614c93a5304cf04e21d7a1b [^]

Issue 18227: Clean the associated datasource and grid
Clean the associated optionDataSource and dataSource when the form declares
that is possible through the flag destroyItemObjects

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0040278)
hudsonbot (developer)
2011-08-17 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5922b23c1f55 [^]

Maturity status: Test
(0040284)
hudsonbot (developer)
2011-08-17 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5922b23c1f55 [^]

Maturity status: Test
(0040309)
hgbot (developer)
2011-08-18 13:01

Repository: erp/devel/pi
Changeset: 64678d049fe8b7fc321574e2436962cd840aa71b
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Aug 18 12:57:18 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/64678d049fe8b7fc321574e2436962cd840aa71b [^]

Fixes issue 18227: Destroying a Grid doesn't destroy the DS associated
When you destroy a ListGrid the associated datasource is not distroyed. In our
case we want to do it since we have a DS per selector grid.
Only destroy the DS if the tab/window is getting destroyed, not when the view
gets a DataSource though setDataSource()

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0040343)
hgbot (developer)
2011-08-19 09:33

Repository: erp/devel/pi
Changeset: aac7c824b2bee2c41e0c63e3c5664a69d6692ceb
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Aug 19 09:32:54 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/aac7c824b2bee2c41e0c63e3c5664a69d6692ceb [^]

Fixes issue 18227: Move the destroy pane to OBTabSetMain

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
---
(0040389)
mtaal (developer)
2011-08-22 14:48

I still see a memory leak with 2 images: ico-saved.png and ico-new.png. You can find them in the console in the window object (isc_Img_*)
This can be reproduced by opening and closing the sales order tab a few times.
(0040402)
hudsonbot (developer)
2011-08-22 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30e6a459386a [^]

Maturity status: Test
(0040403)
hudsonbot (developer)
2011-08-22 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30e6a459386a [^]

Maturity status: Test
(0040413)
hudsonbot (developer)
2011-08-22 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30e6a459386a [^]

Maturity status: Test
(0040417)
hudsonbot (developer)
2011-08-22 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30e6a459386a [^]

Maturity status: Test
(0040455)
hgbot (developer)
2011-08-23 18:26

Repository: erp/devel/pi
Changeset: 4bd475992f9243400647150aeaa39251ca5def3f
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Aug 23 18:26:05 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4bd475992f9243400647150aeaa39251ca5def3f [^]

Fixes issue 18227: Destroy status bar icons when destroying the bar
- The are 3 icons (images) that needs to be explicitly destroyed when
  destroying a statusbar object
- Small code-style fixes

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-statusbar.js
---
(0040469)
hudsonbot (developer)
2011-08-24 01:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae0285ee1597 [^]

Maturity status: Test
(0040475)
mtaal (developer)
2011-08-24 10:56
edited on: 2011-08-24 11:02

I saw that opening and closing tabs (sales order for example) resulted in extra non-destroyed OBRestDataSource instances. Also, I think it makes sense to put this issue to resolved when the daterange issue is solved (either through upgrading to smartclient or the workaround).

btw, the datasource below is the 'Custom Query Selector Datasource'

isc_OBRestDataSource_49: _2
$85s: null
$541: true
$c0: null
$c4: Object
$cx: null
$cy: null
ID: "isc_OBRestDataSource_49"
canQueueRequests: undefined
createClassName: ""
dataFormat: "json"
dataURL: "/openbravo/org.openbravo.service.datasource/F8DD408F2F3A414188668836F84C21AF"
fields: Object
jsonPrefix: "//isc_JSONResponseStart-->"
jsonSuffix: "//isc_JSONResponseEnd"
name: undefined
ns: Object
operationBindings: Array[4]
recordXPath: "/response/data"
requestProperties: Object
titleField: "_identifier"
__proto__: _2

(0040497)
hgbot (developer)
2011-08-25 13:03

Repository: erp/devel/pi
Changeset: 5fce078ccc2e12dd5a494eff63568cbfe61ab7e1
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Aug 25 13:01:46 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5fce078ccc2e12dd5a494eff63568cbfe61ab7e1 [^]

Issue 18227: Added minified version of scopeleaks

---
A modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/scopeleaks.min.js
---
(0040498)
hgbot (developer)
2011-08-25 13:03

Repository: erp/devel/pi
Changeset: 6b5c162cfb844d83b814a1b2e0d89a929854fe8e
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Thu Aug 25 13:02:41 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6b5c162cfb844d83b814a1b2e0d89a929854fe8e [^]

Issue 18227: Include scopeleaks in default page

---
M src/index.jsp
---
(0040513)
hgbot (developer)
2011-08-26 15:07

Repository: erp/devel/pi
Changeset: 3823c5ec27a44be289a41d5b8050da4076afd909
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Aug 26 15:00:34 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3823c5ec27a44be289a41d5b8050da4076afd909 [^]

Issue 18227: Move the destroy of dataSource to the form and grid
To avoid problems of setting/resetting flags (when the datasource needs to be
destroyed). This action is now in the OBFormView and OBViewGrid destroy
method.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0040514)
hgbot (developer)
2011-08-26 15:07

Repository: erp/devel/pi
Changeset: cff2f670c700eb708e2ce7be8f7d546e61a50ace
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Fri Aug 26 15:02:36 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cff2f670c700eb708e2ce7be8f7d546e61a50ace [^]

Issue 18227: dataSource/optionDataSource is now destroyed on form/grid destroy
The destroy methos of OBViewGrid and OBViewForm takes care of destroying the
datasources associated to items/fields

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-linked-items.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0040516)
hudsonbot (developer)
2011-08-26 19:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6fd5083ede2b [^]

Maturity status: Test
(0040517)
hudsonbot (developer)
2011-08-26 19:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6fd5083ede2b [^]

Maturity status: Test
(0040561)
hudsonbot (developer)
2011-08-30 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040562)
hudsonbot (developer)
2011-08-30 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040643)
hgbot (developer)
2011-08-31 23:14

Repository: erp/devel/pi
Changeset: ecb8f9e371a574c096e8007cdebefd4ddd0d9e40
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Aug 31 23:13:41 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ecb8f9e371a574c096e8007cdebefd4ddd0d9e40 [^]

Related to issue 18227: Closing a tab doesn't release all objects
Workaround for not cleaning date range item content

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0040658)
mtaal (developer)
2011-09-01 11:38

When members are removed from a layout then they do not seem to be destroyed:
http://forums.smartclient.com/showthread.php?p=72094#post72094 [^]
(0040659)
hgbot (developer)
2011-09-01 12:01

Repository: erp/devel/pi
Changeset: ddf08e2b22d93cb8fd867a041150c0f1206b86ac
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Sep 01 12:00:38 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ddf08e2b22d93cb8fd867a041150c0f1206b86ac [^]

Related to issue 18227: Closing a tab doesn't release all objects
Prevent recompute of fields when datasource is set in form
Create/initialize datasources in the init method and not as part of properties (results in too early initialization)
Destroy datasources which are not shared when destroying a field
Explicitly remove old tab pane when a new tab pane gets set

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-form.js.ftl
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quick-launch.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-widget.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/templates/datasource.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector.ftl
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0040661)
mtaal (developer)
2011-09-01 12:03

Partially solved in mp3, will be revisited for MP4
(0040665)
hgbot (developer)
2011-09-01 12:33

Repository: erp/devel/pi
Changeset: b21bbf743e3ff0f162833a1bc57b9a0ff77fb547
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu Sep 01 12:32:58 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b21bbf743e3ff0f162833a1bc57b9a0ff77fb547 [^]

Related to issue 18227: Closing a tab doesn't release all objects
Destroy of removed tab pane was already implemented in super, making use of its implementation

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
---
(0040676)
hudsonbot (developer)
2011-09-01 14:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6b7e3ac301b9 [^]

Maturity status: Test
(0040698)
hgbot (developer)
2011-09-02 10:02

Repository: erp/devel/pi
Changeset: 367eaab45edd647eb4a2cec726acbc6c06b83185
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 02 10:02:14 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/367eaab45edd647eb4a2cec726acbc6c06b83185 [^]

Fixes issue 18227: Closing a tab doesn't release all objects
Added method to Layout to make it possible to destroy and remove members, use this method from all applicable locations

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-statusbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-attachments.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-help-about-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quick-launch.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-community-branding-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-showparameter-widget.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0040713)
iperdomo (developer)
2011-09-02 10:53

After using the application, some objects are not destroyed:
* Open a Sales Order
* Add some lines to an Order
* Remove some lines from an Order
* Book an Order
* Remove a window personalization settings

* Get the 'leaks'
(0040717)
hgbot (developer)
2011-09-02 11:19

Repository: erp/devel/pi
Changeset: 14ab9bf2c14e921b3a508514558170ee46462709
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 02 11:19:10 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/14ab9bf2c14e921b3a508514558170ee46462709 [^]

Related to issue 18227: Closing a tab doesn't release all objects
Solved memory leak in window personalization and with record components

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalization-treegrid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form.js
---
(0040729)
hudsonbot (developer)
2011-09-02 20:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1065162150e [^]

Maturity status: Test
(0040730)
hudsonbot (developer)
2011-09-02 20:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1065162150e [^]

Maturity status: Test
(0040734)
hudsonbot (developer)
2011-09-02 20:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1065162150e [^]

Maturity status: Test
(0040735)
hudsonbot (developer)
2011-09-02 20:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f1065162150e [^]

Maturity status: Test
(0040870)
hgbot (developer)
2011-09-11 02:19

Repository: erp/devel/pi
Changeset: 3d4180abc6b1327b4774929434d6d2816e318f60
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 09 17:46:45 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3d4180abc6b1327b4774929434d6d2816e318f60 [^]

Related to issue 18227: Closing a tab doesn't release all objects
Sometimes datasources are connected to canvasitems, also release these

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0040888)
hgbot (developer)
2011-09-11 02:21

Repository: erp/devel/pi
Changeset: a544b6b36c2910948bc690f109773f2f091679b4
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 09 17:46:45 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a544b6b36c2910948bc690f109773f2f091679b4 [^]

Related to issue 18227: Closing a tab doesn't release all objects
Sometimes datasources are connected to canvasitems, also release these

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0041272)
hgbot (developer)
2011-09-26 10:09

Repository: erp/devel/pi
Changeset: d46a820cf3cc122876ebf85884ea7b26016cc760
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Sep 26 10:09:13 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d46a820cf3cc122876ebf85884ea7b26016cc760 [^]

Fixes issue 18227: Closing a tab doesn't release all objects
Removed workaround

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0041309)
iperdomo (developer)
2011-09-27 10:27
edited on: 2011-09-27 10:28

After the change you still can find objects related to date-range items:
* Login into the application
* Take a snapshot
* Open Sales Order
* Add a new line to a 'Draft' order
* Book that order
* Get the leaks
----
isc_EH_screenSpan,isc_PickListMenu_0,isc_ResultSet_0,
isc_PickListMenu_0_body,isc_PickListMenu_0_body_vscroll,
isc_PickListMenu_0_body_vscroll_thumb,
isc_PickListMenu_0_body_vscroll_thumb_label,
isc_Label_10,isc_ImgButton_0,isc_Label_11,
isc_OBMiniDateRangeItem_0_rangeDialog,
isc_OBMiniDateRangeItem_0_rangeDialog_mainLayout,isc_EdgedCanvas_4,
isc_OBMiniDateRangeItem_0_rangeDialog_rangeForm,
isc_DateRangeItem_0,isc_DateRangeItem_0_dateRangeForm,
isc_RelativeDateItem_0,isc_RelativeDateItem_0_editor,
isc_ComboBoxItem_2,isc_SpinnerItem_0,isc_BlurbItem_0,
isc_RelativeDateItem_1,isc_RelativeDateItem_1_editor,
isc_ComboBoxItem_3,isc_SpinnerItem_1,isc_BlurbItem_1,
isc_OBMiniDateRangeItem_0_rangeDialog_buttonLayout,
isc_OBMiniDateRangeItem_0_rangeDialog_okButton,
isc_OBMiniDateRangeItem_0_rangeDialog_clearButton,
isc_OBMiniDateRangeItem_0_rangeDialog_cancelButton,
isc_HLayout_191,isc_Canvas_3,isc_Canvas_4,isc_DataSource_14

(0041333)
hgbot (developer)
2011-09-28 07:34

Repository: erp/devel/pi
Changeset: f2a4f4808579fbd180d5f3608c7206a7880d22af
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Sep 28 07:33:21 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f2a4f4808579fbd180d5f3608c7206a7880d22af [^]

Related to issue 18227: Closing a tab doesn't release all objects
MiniDateRangeItem needs specific code as it is not a daterangeitem but a TextItem
Other mem leak remaining, will revisit for MP5

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0041334)
mtaal (developer)
2011-09-28 07:35

One mem leak remaining (single datasource object is created) will revisit for mp5
(0041422)
mtaal (developer)
2011-09-30 13:35

Asked a question on the forum for this mem leak:
http://forums.smartclient.com/showthread.php?p=73742#post73742 [^]

gr. Martin
(0041628)
hudsonbot (developer)
2011-10-12 01:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041646)
hudsonbot (developer)
2011-10-12 01:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041706)
hudsonbot (developer)
2011-10-12 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041719)
hudsonbot (developer)
2011-10-12 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0042050)
mtaal (developer)
2011-10-24 09:33

I upgraded Smartclient which solved a memory leak, still there are some remaining it seems.
Will revisit for MP6.

gr. Martin
(0048149)
alostale (developer)
2012-04-27 14:14

Updating to design defect as fixing this issue might require some redesign/refactor.
(0052426)
AugustoMauch (developer)
2012-09-24 21:09

Effort: 15
Impact: high
Plan: short
(0087283)
alostale (developer)
2016-06-15 09:32

In general, this issue is no longer reproducible.

If currently there are cases with this problem, please report them individually as new issues.

- Issue History
Date Modified Username Field Change
2011-08-08 16:12 iperdomo New Issue
2011-08-08 16:12 iperdomo Assigned To => iperdomo
2011-08-08 16:12 iperdomo Web browser => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2011-08-08 16:12 iperdomo Modules => Core
2011-08-08 16:35 iperdomo Status new => scheduled
2011-08-08 16:35 iperdomo fix_in_branch => pi
2011-08-12 18:52 hgbot Checkin
2011-08-12 18:52 hgbot Note Added: 0040170
2011-08-16 11:58 hgbot Checkin
2011-08-16 11:58 hgbot Note Added: 0040173
2011-08-16 13:24 hudsonbot Checkin
2011-08-16 13:24 hudsonbot Note Added: 0040227
2011-08-17 08:41 hgbot Checkin
2011-08-17 08:41 hgbot Note Added: 0040241
2011-08-17 16:17 hgbot Checkin
2011-08-17 16:17 hgbot Note Added: 0040271
2011-08-17 16:17 hgbot Checkin
2011-08-17 16:17 hgbot Note Added: 0040272
2011-08-17 18:11 hudsonbot Checkin
2011-08-17 18:11 hudsonbot Note Added: 0040278
2011-08-17 18:11 hudsonbot Checkin
2011-08-17 18:11 hudsonbot Note Added: 0040284
2011-08-18 13:01 hgbot Checkin
2011-08-18 13:01 hgbot Note Added: 0040309
2011-08-18 13:01 hgbot Status scheduled => resolved
2011-08-18 13:01 hgbot Resolution open => fixed
2011-08-18 13:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/64678d049fe8b7fc321574e2436962cd840aa71b [^]
2011-08-19 09:33 hgbot Checkin
2011-08-19 09:33 hgbot Note Added: 0040343
2011-08-19 09:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/64678d049fe8b7fc321574e2436962cd840aa71b [^] => http://code.openbravo.com/erp/devel/pi/rev/aac7c824b2bee2c41e0c63e3c5664a69d6692ceb [^]
2011-08-19 09:41 iperdomo Relationship added related to 0018319
2011-08-22 14:48 mtaal Note Added: 0040389
2011-08-22 14:48 mtaal Status resolved => new
2011-08-22 14:48 mtaal Resolution fixed => open
2011-08-22 18:39 hudsonbot Checkin
2011-08-22 18:39 hudsonbot Note Added: 0040402
2011-08-22 18:39 hudsonbot Checkin
2011-08-22 18:39 hudsonbot Note Added: 0040403
2011-08-22 18:39 hudsonbot Checkin
2011-08-22 18:39 hudsonbot Note Added: 0040413
2011-08-22 18:39 hudsonbot Checkin
2011-08-22 18:39 hudsonbot Note Added: 0040417
2011-08-23 07:42 iperdomo Status new => scheduled
2011-08-23 18:26 hgbot Checkin
2011-08-23 18:26 hgbot Note Added: 0040455
2011-08-23 18:26 hgbot Status scheduled => resolved
2011-08-23 18:26 hgbot Resolution open => fixed
2011-08-23 18:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/aac7c824b2bee2c41e0c63e3c5664a69d6692ceb [^] => http://code.openbravo.com/erp/devel/pi/rev/4bd475992f9243400647150aeaa39251ca5def3f [^]
2011-08-24 01:08 hudsonbot Checkin
2011-08-24 01:08 hudsonbot Note Added: 0040469
2011-08-24 10:56 mtaal Note Added: 0040475
2011-08-24 10:56 mtaal Status resolved => new
2011-08-24 10:56 mtaal Resolution fixed => open
2011-08-24 11:02 mtaal Note Edited: 0040475 View Revisions
2011-08-25 13:03 hgbot Checkin
2011-08-25 13:03 hgbot Note Added: 0040497
2011-08-25 13:03 hgbot Checkin
2011-08-25 13:03 hgbot Note Added: 0040498
2011-08-26 11:57 iperdomo Status new => scheduled
2011-08-26 15:07 hgbot Checkin
2011-08-26 15:07 hgbot Note Added: 0040513
2011-08-26 15:07 hgbot Checkin
2011-08-26 15:07 hgbot Note Added: 0040514
2011-08-26 19:41 hudsonbot Checkin
2011-08-26 19:41 hudsonbot Note Added: 0040516
2011-08-26 19:41 hudsonbot Checkin
2011-08-26 19:41 hudsonbot Note Added: 0040517
2011-08-29 08:31 iperdomo Assigned To iperdomo => mtaal
2011-08-30 19:38 hudsonbot Checkin
2011-08-30 19:38 hudsonbot Note Added: 0040561
2011-08-30 19:38 hudsonbot Checkin
2011-08-30 19:38 hudsonbot Note Added: 0040562
2011-08-31 23:14 hgbot Checkin
2011-08-31 23:14 hgbot Note Added: 0040643
2011-09-01 11:38 mtaal Note Added: 0040658
2011-09-01 12:01 hgbot Checkin
2011-09-01 12:01 hgbot Note Added: 0040659
2011-09-01 12:03 mtaal Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2011-09-01 12:03 mtaal Note Added: 0040661
2011-09-01 12:03 mtaal Target Version 3.0MP3 => 3.0MP4
2011-09-01 12:03 mtaal fix_in_branch pi =>
2011-09-01 12:33 hgbot Checkin
2011-09-01 12:33 hgbot Note Added: 0040665
2011-09-01 14:35 hudsonbot Checkin
2011-09-01 14:35 hudsonbot Note Added: 0040676
2011-09-02 10:02 hgbot Checkin
2011-09-02 10:02 hgbot Note Added: 0040698
2011-09-02 10:02 hgbot Status scheduled => resolved
2011-09-02 10:02 hgbot Resolution open => fixed
2011-09-02 10:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4bd475992f9243400647150aeaa39251ca5def3f [^] => http://code.openbravo.com/erp/devel/pi/rev/367eaab45edd647eb4a2cec726acbc6c06b83185 [^]
2011-09-02 10:53 iperdomo Note Added: 0040713
2011-09-02 10:53 iperdomo Status resolved => new
2011-09-02 10:53 iperdomo Resolution fixed => open
2011-09-02 11:19 hgbot Checkin
2011-09-02 11:19 hgbot Note Added: 0040717
2011-09-02 20:13 hudsonbot Checkin
2011-09-02 20:13 hudsonbot Note Added: 0040729
2011-09-02 20:13 hudsonbot Checkin
2011-09-02 20:13 hudsonbot Note Added: 0040730
2011-09-02 20:13 hudsonbot Checkin
2011-09-02 20:13 hudsonbot Note Added: 0040734
2011-09-02 20:13 hudsonbot Checkin
2011-09-02 20:13 hudsonbot Note Added: 0040735
2011-09-07 17:26 iperdomo Relationship added related to 0018456
2011-09-11 02:19 hgbot Checkin
2011-09-11 02:19 hgbot Note Added: 0040870
2011-09-11 02:21 hgbot Checkin
2011-09-11 02:21 hgbot Note Added: 0040888
2011-09-26 10:09 hgbot Checkin
2011-09-26 10:09 hgbot Note Added: 0041272
2011-09-26 10:09 hgbot Status new => resolved
2011-09-26 10:09 hgbot Resolution open => fixed
2011-09-26 10:09 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/367eaab45edd647eb4a2cec726acbc6c06b83185 [^] => http://code.openbravo.com/erp/devel/pi/rev/d46a820cf3cc122876ebf85884ea7b26016cc760 [^]
2011-09-27 10:27 iperdomo Note Added: 0041309
2011-09-27 10:27 iperdomo Status resolved => new
2011-09-27 10:27 iperdomo Resolution fixed => open
2011-09-27 10:28 iperdomo Note Edited: 0041309 View Revisions
2011-09-28 07:32 mtaal File Added: Screenshot-23.png
2011-09-28 07:34 hgbot Checkin
2011-09-28 07:34 hgbot Note Added: 0041333
2011-09-28 07:35 mtaal Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2011-09-28 07:35 mtaal Note Added: 0041334
2011-09-28 07:35 mtaal Target Version 3.0MP4 => 3.0MP5
2011-09-30 13:35 mtaal Note Added: 0041422
2011-10-12 01:57 hudsonbot Checkin
2011-10-12 01:57 hudsonbot Note Added: 0041628
2011-10-12 01:57 hudsonbot Checkin
2011-10-12 01:57 hudsonbot Note Added: 0041646
2011-10-12 01:59 hudsonbot Checkin
2011-10-12 01:59 hudsonbot Note Added: 0041706
2011-10-12 01:59 hudsonbot Checkin
2011-10-12 01:59 hudsonbot Note Added: 0041719
2011-10-24 09:33 mtaal Note Added: 0042050
2011-10-24 09:33 mtaal Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2011-10-24 09:33 mtaal Target Version 3.0MP5 => 3.0MP6
2011-11-15 10:23 iperdomo Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2011-11-15 10:23 iperdomo Target Version 3.0MP6 =>
2011-11-17 10:57 iperdomo Status new => acknowledged
2011-11-17 10:57 iperdomo Tag Attached: OB3-Reviewed
2012-04-27 11:38 Xpand-IT Issue Monitored: Xpand-IT
2012-04-27 14:14 alostale Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2012-04-27 14:14 alostale Note Added: 0048149
2012-04-27 14:14 alostale Assigned To mtaal => alostale
2012-04-27 14:14 alostale Type defect => design defect
2012-09-10 13:35 alostale Relationship added has duplicate 0018421
2012-09-24 21:09 AugustoMauch Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2012-09-24 21:09 AugustoMauch Note Added: 0052426
2012-09-24 21:09 AugustoMauch Status acknowledged => scheduled
2013-05-08 10:46 egoitz Relationship added related to 0023761
2013-05-21 14:04 eintelau Issue Monitored: eintelau
2016-06-15 09:32 alostale Note Added: 0087283
2016-06-15 09:32 alostale Status scheduled => closed
2016-06-15 09:32 alostale Resolution open => out of date


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker